// To parse this JSON data, do
//
//     final profileSettingRespone = profileSettingResponeFromJson(jsonString);

import 'dart:convert';

ProfileSettingRespone profileSettingResponeFromJson(String str) => ProfileSettingRespone.fromJson(json.decode(str));

String profileSettingResponeToJson(ProfileSettingRespone data) => json.encode(data.toJson());

class ProfileSettingRespone {
  ProfileSettingRespone({
    this.id,
    this.avatar,
    this.nameUser,
    this.email,
    this.image,
  });

  String? id;
  String? avatar;
  String? nameUser;
  String? email;
  List<Images>? image;

  factory ProfileSettingRespone.fromJson(Map<String, dynamic> json) => ProfileSettingRespone(
    id: json["id"],
    avatar: json["avatar"],
    nameUser: json["nameUser"],
    email: json["email"],
    image: List<Images>.from(json["drawables"].map((x) => Images.fromJson(x))),
  );

  Map<String, dynamic> toJson() => {
    "id": id,
    "avatar": avatar,
    "nameUser": nameUser,
    "email": email,
    "drawables": List<dynamic>.from(image!.map((x) => x.toJson())),
  };
}

class Images {
  Images({
    this.id,
    this.thumb,
  });

  String? id;
  String? thumb;

  factory Images.fromJson(Map<String, dynamic> json) => Images(
    id: json["id"],
    thumb: json["thumb"],
  );

  Map<String, dynamic> toJson() => {
    "id": id,
    "thumb": thumb,
  };
}
